Subject: Re: [PATCH net-next 1/4] net: ethernet: validate pause autoneg setting

From: Andrew Lunn <[email-masked]>
Date: Wed, 13 May 2020 15:49:25 +0200

> So, I think consistency of implementation is more important than fixing
> this; the current behaviour has been established for many years now.

Hi Russell, Doug

With netlink ethtool we have the possibility of adding a new API to
control this. And we can leave the IOCTL API alone, and the current
ethtool commands. We can add a new command to ethtool which uses the new API.

Question is, do we want to do this? Would we be introducing yet more
confusion, rather than making the situation better?

	Andrew